summaryrefslogtreecommitdiff
path: root/dev-python/python-caja/python-caja-9999.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-08-15 08:20:43 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-08-15 08:20:43 +0000
commita9adaf746b50dcd0c7c1789e361508109d38284e (patch)
tree245021010bbd7681ccb8c23226863463eb6d0870 /dev-python/python-caja/python-caja-9999.ebuild
parentd3efaec21b86eb32ddbcc9c3ceeb8e1eaabc73e7 (diff)
downloadbaldeagleos-repo-a9adaf746b50dcd0c7c1789e361508109d38284e.tar.gz
baldeagleos-repo-a9adaf746b50dcd0c7c1789e361508109d38284e.tar.xz
baldeagleos-repo-a9adaf746b50dcd0c7c1789e361508109d38284e.zip
Adding metadata
Diffstat (limited to 'dev-python/python-caja/python-caja-9999.ebuild')
-rw-r--r--dev-python/python-caja/python-caja-9999.ebuild26
1 files changed, 18 insertions, 8 deletions
diff --git a/dev-python/python-caja/python-caja-9999.ebuild b/dev-python/python-caja/python-caja-9999.ebuild
index 0a2e3fdddf7a..ffe8c3d3b7a0 100644
--- a/dev-python/python-caja/python-caja-9999.ebuild
+++ b/dev-python/python-caja/python-caja-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -13,30 +13,40 @@ if [[ ${PV} != 9999 ]]; then
fi
DESCRIPTION="Python bindings for the Caja file manager"
-LICENSE="GPL-2"
+LICENSE="GPL-2+"
SLOT="0"
-
IUSE="doc"
+REQUIRED_USE=${PYTHON_REQUIRED_USE}
COMMON_DEPEND="${PYTHON_DEPS}
- dev-libs/glib:2
+ >=dev-libs/glib-2.50:2
$( python_gen_cond_dep 'dev-python/pygobject:3[${PYTHON_MULTI_USEDEP}]' )
>=mate-base/caja-1.17.1[introspection]
- x11-libs/gtk+:3"
+ >=x11-libs/gtk+-3.22:3
+"
RDEPEND="${COMMON_DEPEND}"
DEPEND="${COMMON_DEPEND}
dev-util/gtk-doc
dev-util/gtk-doc-am
- virtual/pkgconfig:*
- doc? ( app-text/docbook-xml-dtd:4.1.2 )"
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+ doc? ( app-text/docbook-xml-dtd:4.1.2 )
+"
+
+src_prepare() {
+ MATE_FORCE_AUTORECONF="true"
+
+ sed -i "s/\$(PACKAGE)/${PF}/g" examples/Makefile.am || die
+ mate_src_prepare
+}
src_install() {
mate_src_install
# Keep the directory for systemwide extensions.
- keepdir /usr/share/python-caja/extensions/
+ keepdir /usr/share/caja-python/extensions/
# The HTML documentation generation is broken and commented out by upstream.
#